---
author: ~cmccabe
published: true
title: cool irc bots
description: information about irc bots on tilde.chat
category: 
    - main
---

# tilde.chat irc bots

you might have seen some bots lurking about in chat. this page is intended to be a common place for documentation.

bots should be well behaved and efficient with system resources. if you see a bot that is not, please remind the botmaster about this and/or notify an admin. naughty bots can make the system less enjoyable for everyone, and we all have to work together to police them.

## rules and etiquette for tilde.chat irc bots

your bot must respond to !botlist with the following information:
- your system username (as creator/botmaster) - so we can contact you if the bot misbehaves
- one line description of the bot's functionality
- list of the bots public commands

be conservative about automatically re-connecting to the server or channel.

if your bot's code is not yet stable, keep it in the #bots channel and do testing there.

don't join #chaos or unless you want your bot to be spammed to hell and back.

## tilde.team bot starter kit

[khuxkm](https://khuxkm.tilde.team) is hard at work developing a starter kit framework in python that you can use to build your own irc bot. find the [source here](https://tildegit.org/team/teambot). it's installed globally on ~team, so get coding!

## add your bot to the list below

follow the example of sedbot when you add your bot in a PR to the wiki

* sedbot
    - botmaster: [~ben](https://ben.tilde.team)
    - short description: sent a typo in chat? fix it up with a sed expression and sedbot will try to correct it
    - list of functions:
        + s/needle/replace/flags
        + most regex character classes match here
        + flags include `g` and `i`
    - [source](https://tildegit.org/ben/sedbot)
* tracer
    - botmaster: [~ben](https://ben.tilde.team)
    - short description: generate tracery output from grammars in you ~/.tracery (on ~team) -
        forked and ported from [selfsame/tracer](https://notabug.org/selfsame/tracer) for py3 support
    - list of functions:
        + !!list
        + !!<grammar>
        + !!fuse <grammar1> <grammar2>
        + | at the end of commands will echo the output in a new message
            eg: !!drink | !toot
    - [source](https://tildegit.org/ben/tracer)
* tooter
    - botmaster: [~ben](https://ben.tilde.team)
    - short description: toots from @tildeverse@tilde.zone (@tildeteam@tilde.zone in #team)
    - list of functions:
        + !toot <message>
    - [source](https://tildegit.org/ben/tooter)
* radiobot
    - botmaster: [~ben](https://ben.tilde.team)
    - short description: a janky bot in bash to post tilderadio updates - also toots from @tilderadio@tilde.zone
    - list of functions:
        + radiobot: subscribe (or unsubscribe) - send a query when a dj goes online
        + radiobot: np - show what's currently playing on tilderadio
        + radiobot: dj - show who's currently broadcasting
        + radiobot: link - show a link to the tilderadio stream
        + radiobot: source - show a link to the sourcecode
        + radiobot: slogan - grab a random tilderadio slogan
    - [source](https://tildegit.org/ben/radiobot)
* BabiliBot
    - botmaster: [~aewens](https://aewens.tilde.team)
    - short description: the unofficial bot of #meta, also includes integrations such as mirroring tilde.news and `bbj` into #tildeverse and #team (respectively)
    - list of functions:
        + !summon <user> <reason> -- Sends email to user to summon them
        + !hmmscore <user:optional> -- How many times user has said "hmm"
        + !oofscore <user:optional> -- How many times user has said "oof"
        + !hmmscoreboard / !oofscoreboard -- Top three scores
        + !whois <domain> -- Does a WHOIS search to see if domain is registered or not
    - [source](https://tildegit.org/aewens/babili-bot)
